org.apache.maven.plugin

## Class MojoFailureException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - org.apache.maven.plugin.AbstractMojoExecutionException
      - - org.apache.maven.plugin.MojoFailureException

All Implemented Interfaces:
  java.io.Serializable

    public class MojoFailureException
    extends AbstractMojoExecutionException

An exception occuring during the execution of a plugin (such as a compilation failure).
Throwing this exception causes a "BUILD FAILURE" message to be displayed.

Version:
  $Id: MojoFailureException.java 640549 2008-03-24 20:05:11Z bentmann $
Author:
  Brett Porter
See Also:
  Serialized Form

### Field Summary

### Fields inherited from class org.apache.maven.plugin.AbstractMojoExecutionException

`longMessage, source`

### Constructor Summary

Constructors
Constructor and Description
`MojoFailureException(java.lang.Object source, java.lang.String shortMessage, java.lang.String longMessage)` Construct a new `MojoFailureException` exception providing the source and a short and long message.
`MojoFailureException(java.lang.String message)` Construct a new `MojoFailureException` exception providing a message.
`MojoFailureException(java.lang.String message, java.lang.Throwable cause)` Construct a new `MojoFailureException` exception wrapping an underlying `Throwable` and providing a `message`.

### Method Summary

### Methods inherited from class org.apache.maven.plugin.AbstractMojoExecutionException

`getLongMessage, getSource`

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### MojoFailureException

    public MojoFailureException(java.lang.Object source,
                        java.lang.String shortMessage,
                        java.lang.String longMessage)

Construct a new `MojoFailureException` exception providing the source and a short and long message.

Parameters:
  `source` -
  `shortMessage` -
  `longMessage` -

#### MojoFailureException

    public MojoFailureException(java.lang.String message)

Construct a new `MojoFailureException` exception providing a message.

Parameters:
  `message` -

#### MojoFailureException

    public MojoFailureException(java.lang.String message,
                        java.lang.Throwable cause)

Construct a new `MojoFailureException` exception wrapping an underlying `Throwable` and providing a `message`.

Parameters:
  `message` -
  `cause` -
Since:
  2.0.9